View Issue Details

IDCategoryLast Update
0007299bugs2017-04-04 00:37
ReporterpeterfieldAssigned To 
Reproducibilityhave not tried 
Status newResolutionopen 
PlatformLinuxOSLinuxMint (+KSTudio)OS Version18
Product Version5.8 
Fixed in Version 
Summary0007299: Segmentation fault on region drag
DescriptionI have two midi tracks, with several regions each and overlaps.
Trying to put all the regions on the same track, without overlap.
Ardour crashed doing that.
Additional InformationI haven't sorted out yet the core dump explanation.

Here is the end of the output of the crash in the terminal (Ardour launched -D all)

DEBUG::CanvasItems: new canvas item 0x1baa3b60
DEBUG::CanvasItems: new canvas item 0x1baa3dc0
DEBUG::CanvasItems: new canvas item 0x1baa2c90
DEBUG::CanvasItems: new canvas item 0x1baa2ed0
DEBUG::CanvasItems: new canvas item 0x1baa3120
DEBUG::CanvasItems: new canvas item 0x1baa3fd0
DEBUG::CanvasItems: new canvas item 0x1baa4210
DEBUG::CanvasItems: new canvas item 0x1baa4420
DEBUG::CanvasItems: new canvas item 0x1baa4eb0
DEBUG::CanvasItems: new canvas item 0x1baa5310
DEBUG::CanvasItems: new canvas item 0x1baa46a0
DEBUG::CanvasItems: new canvas item 0x1baa4920
DEBUG::CanvasItems: new canvas item 0x1baa4ba0
DEBUG::CanvasItems: new canvas item 0x1baa54f0
DEBUG::CanvasItems: new canvas item 0x1baa5730
DEBUG::CanvasItems: new canvas item 0x1baa59b0
DEBUG::CanvasItems: new canvas item 0x1baa5bb0
DEBUG::CanvasItems: new canvas item 0x1baa5df0
DEBUG::CanvasItems: new canvas item 0x1baa6010
DEBUG::CanvasItems: new canvas item 0x1baa6250
DEBUG::CanvasItems: new canvas item 0x1baa6ca0
DEBUG::CanvasItems: new canvas item 0x1baa6e80
DEBUG::CanvasItems: new canvas item 0x1baa7060
DEBUG::CanvasItems: new canvas item 0x1baa7270
DEBUG::CanvasItems: new canvas item 0x1baa64c0
DEBUG::CanvasItems: new canvas item 0x1baa6930
DEBUG::CanvasItems: new canvas item 0x1baa7cd0
DEBUG::CanvasItems: new canvas item 0x1baa7eb0
DEBUG::CanvasItems: new canvas item 0x1baa8090
DEBUG::CanvasItems: new canvas item 0x1baa8270
DEBUG::CanvasItems: new canvas item 0x1baa8480
DEBUG::CanvasItems: new canvas item 0x1baa86c0
DEBUG::CanvasItems: new canvas item 0x1baa8920
DEBUG::CanvasItems: new canvas item 0x1baa7510
DEBUG::CanvasItems: new canvas item 0x1baa7770
DEBUG::CanvasItems: new canvas item 0x1baa7980
DEBUG::CanvasItems: new canvas item 0x1baa9340
DEBUG::CanvasItems: new canvas item 0x1baa8b30
DEBUG::CanvasItems: new canvas item 0x1baa8db0
DEBUG::CanvasItems: new canvas item 0x1baa9060
DEBUG::CanvasItems: new canvas item 0x1baa9d30
DEBUG::CanvasItems: new canvas item 0x1baa9520
DEBUG::CanvasItems: new canvas item 0x1baa9780
DEBUG::CanvasItems: new canvas item 0x1baa9a00
DEBUG::CanvasItems: new canvas item 0x1baa9f10
DEBUG::CanvasItems: new canvas item 0x1baaa150
DEBUG::CanvasItems: new canvas item 0x1baaa3d0
DEBUG::CanvasItems: new canvas item 0x1baaa5b0
DEBUG::CanvasItems: new canvas item 0x1baaa7f0
DEBUG::CanvasItems: new canvas item 0x1baaaa70
DEBUG::CanvasItems: new canvas item 0x1baaacb0
DEBUG::CanvasItems: new canvas item 0x1baab710
DEBUG::CanvasItems: new canvas item 0x1baab920
DEBUG::CanvasItems: new canvas item 0x1baabb60
DEBUG::CanvasItems: new canvas item 0x1baaaf30
DEBUG::CanvasItems: new canvas item 0x1baab190
DEBUG::CanvasItems: new canvas item 0x1baab3a0
DEBUG::CanvasItems: new canvas item 0x1baabd70
DEBUG::CanvasItems: new canvas item 0x1baa66f0
DEBUG::CanvasItems: new canvas item 0x1baac580
DEBUG::CanvasItems: new canvas item 0x1baac7a0
DEBUG::CanvasItems: new canvas item 0x1baaca20
DEBUG::CanvasItems: new canvas item 0x1baad5a0
DEBUG::CanvasItems: new canvas item 0x1baad780
DEBUG::CanvasItems: new canvas item 0x1baad960
DEBUG::CanvasItems: new canvas item 0x1baadb40
DEBUG::CanvasItems: new canvas item 0x1baadd50
DEBUG::CanvasItems: new canvas item 0x1baadfb0
DEBUG::CanvasItems: new canvas item 0x1baae210
DEBUG::CanvasItems: new canvas item 0x1baae470
DEBUG::CanvasItems: new canvas item 0x1baae6d0
DEBUG::CanvasItems: new canvas item 0x1baae930
DEBUG::CanvasItems: new canvas item 0x1baacde0
DEBUG::CanvasItems: new canvas item 0x1baad040
DEBUG::CanvasItems: new canvas item 0x1baad250
DEBUG::CanvasItems: new canvas item 0x1baaf350
DEBUG::CanvasItems: new canvas item 0x1baaf530
DEBUG::CanvasItems: new canvas item 0x1baaf710
DEBUG::CanvasItems: new canvas item 0x1baaf920
DEBUG::CanvasItems: new canvas item 0x1baafb60
DEBUG::CanvasItems: new canvas item 0x1baaeb90
DEBUG::CanvasItems: new canvas item 0x1baaeda0
DEBUG::CanvasItems: new canvas item 0x1baaf020
DEBUG::CanvasItems: new canvas item 0x1baafd70
DEBUG::CanvasItems: new canvas item 0x1baaff50
DEBUG::CanvasItems: new canvas item 0x1bab01b0
DEBUG::CanvasItems: new canvas item 0x1bab03f0
DEBUG::CanvasItems: new canvas item 0x1bab05d0
DEBUG::CanvasItems: new canvas item 0x1bab0850
DEBUG::CanvasItems: new canvas item 0x1bab12f0
DEBUG::CanvasItems: new canvas item 0x1bab1540
DEBUG::CanvasItems: new canvas item 0x1bab17a0
DEBUG::CanvasItems: new canvas item 0x1bab1a00
DEBUG::CanvasItems: new canvas item 0x1bab0b30
DEBUG::CanvasItems: new canvas item 0x1bab0d90
DEBUG::CanvasItems: new canvas item 0x1bab0fc0
DEBUG::CanvasItems: new canvas item 0x1bab1c10
DEBUG::CanvasItems: new canvas item 0x1bab1e60
DEBUG::CanvasItems: new canvas item 0x1bab2090
DEBUG::CanvasItems: new canvas item 0x1bab2420
DEBUG::CanvasItems: new canvas item 0x1bab2640
DEBUG::CanvasItems: new canvas item 0x1bab2880
DEBUG::CanvasItems: new canvas item 0x1bab2c30
DEBUG::CanvasItems: new canvas item 0x1bab2e50
DEBUG::CanvasItems: new canvas item 0x1bab3090
DEBUG::CanvasItems: new canvas item 0x1bab3440
DEBUG::CanvasItems: new canvas item 0x1bab3660
DEBUG::CanvasItems: new canvas item 0x1bab38a0
DEBUG::CanvasItems: new canvas item 0x1bab42f0
DEBUG::CanvasItems: new canvas item 0x1bab44d0
DEBUG::CanvasItems: new canvas item 0x1bab3ae0
DEBUG::CanvasItems: new canvas item 0x1bab3cc0
DEBUG::CanvasItems: new canvas item 0x1bab3ee0
DEBUG::CanvasItems: new canvas item 0x1bab46b0
DEBUG::CanvasItems: new canvas item 0x1bab48d0
DEBUG::CanvasItems: new canvas item 0x1bab4b10
DEBUG::CanvasItems: new canvas item 0x1bab4d30
DEBUG::CanvasItems: new canvas item 0x1bab4f70
DEBUG::CanvasItems: new canvas item 0x1bab51b0
DEBUG::CanvasItems: new canvas item 0x1bab53c0
DEBUG::CanvasItems: new canvas item 0x1bab5640
DEBUG::CanvasItems: new canvas item 0x1bab5820
DEBUG::CanvasItems: new canvas item 0x1bab5a80
DEBUG::CanvasItems: new canvas item 0x1baabfb0
DEBUG::CanvasItems: new canvas item 0x1bab5cc0
DEBUG::CanvasItems: new canvas item 0x1baac1c0
DEBUG::CanvasItems: new canvas item 0x1bab5f00
DEBUG::CanvasItems: new canvas item 0x1bab6220
DEBUG::CanvasItems: new canvas item 0x1bab6400
DEBUG::CanvasItems: new canvas item 0x1bab76a0
DEBUG::CanvasItems: new canvas item 0x1bab7880
DEBUG::CanvasItems: new canvas item 0x1bab7d10
DEBUG::CanvasItems: new canvas item 0x1bab7ef0
DEBUG::CanvasItems: new canvas item 0x1bab80d0
DEBUG::CanvasItems: new canvas item 0x1bab8310
DEBUG::CanvasItems: new canvas item 0x1bab8540
DEBUG::CanvasItems: new canvas item 0x1bab87a0
DEBUG::CanvasItems: new canvas item 0x1bab8a00
DEBUG::CanvasItems: new canvas item 0x1bab8c60
DEBUG::CanvasItems: new canvas item 0x1bab8ec0
DEBUG::CanvasItems: new canvas item 0x1bab6ec0
DEBUG::CanvasItems: new canvas item 0x1bab70d0
DEBUG::CanvasItems: new canvas item 0x1bab7310
DEBUG::ProcessThreads: calling graph/no-roll
DEBUG::CanvasItems: new canvas item 0x1bab90d0
DEBUG::ProcessThreads: no-roll graph execution from 0 to 1024 = 1024
DEBUG::ProcessThreads: wake graph for no-roll process
DEBUG::CanvasItems: new canvas item 0x1bab9310
DEBUG::CanvasItems: new canvas item 0x1bab94f0
DEBUG::ProcessThreads: unknown has finished run_one()
DEBUG::CanvasItems: new canvas item 0x1bab9f60
DEBUG::ProcessThreads: unknown signals 1
DEBUG::CanvasItems: new canvas item 0x1baba250
DEBUG::ProcessThreadsDEBUG::ProcessThreads: : unknown is awake
unknown runs route Piano2
DEBUG::CanvasItems: new canvas item 0x1bab9750
DEBUG::ProcessThreads: unknown runs route PIano1
DEBUG::CanvasItems: new canvas item 0x1bab99a0
DEBUG::CanvasItems: new canvas item 0x1bab9bd0
DEBUG::CanvasItems: new canvas item 0x1baba430
DEBUG::CanvasItems: new canvas item 0x1baba650
DEBUG::CanvasItems: new canvas item 0x1baba890
DEBUG::CanvasItems: new canvas item 0x1babaad0
DEBUG::CanvasItems: new canvas item 0x1babad20
DEBUG::CanvasItems: new canvas item 0x1babaf40
DEBUG::LV2DEBUG::LV2: LinuxSampler run 1024 offset 0
: LinuxSampler run 1024 offset 0
DEBUG::CanvasItems: new canvas item 0x1babb180
DEBUG::CanvasItems: new canvas item 0x1babbbd0
DEBUG::CanvasItems: new canvas item 0x1babbde0
DEBUG::CanvasItems: new canvas item 0x1babc060
DEBUG::CanvasItems: new canvas item 0x1babc2a0
DEBUG::CanvasItems: new canvas item 0x1babb410
DEBUG::CanvasItems: new canvas item 0x1babb880
DEBUG::CanvasItems: new canvas item 0x1babccc0
DEBUG::ProcessThreads: DEBUG::ProcessThreadsunknown has finished run_one()
DEBUG::CanvasItems: new canvas item 0x1babcea0
DEBUG::ProcessThreads: main thread runs one graph node
: unknown has finished run_one()
DEBUG::ProcessThreads: unknown signals 0
DEBUG::CanvasItems: new canvas item 0x1babd080
DEBUG::ProcessThreads: unknown runs route Master
DEBUG::ProcessThreads: unknown signals 0
DEBUG::CanvasItems: new canvas item 0x1babd260
DEBUG::ProcessThreads: unknown goes to sleep
DEBUG::CanvasItems: new canvas item 0x1babd470
DEBUG::CanvasItems: new canvas item 0x1babd6d0
DEBUG::CanvasItems: new canvas item 0x1babd930
DEBUG::CanvasItems: new canvas item 0x1babc500
DEBUG::CanvasItems: new canvas item 0x1babc760
DEBUG::CanvasItems: new canvas item 0x1babc970
DEBUG::CanvasItems: new canvas item 0x1babe350
DEBUG::CanvasItems: new canvas item 0x1babdb40
DEBUG::CanvasItems: new canvas item 0x1babddc0
DEBUG::CanvasItems: new canvas item 0x1babe070
DEBUG::CanvasItems: new canvas item 0x1babed40
DEBUG::CanvasItems: new canvas item 0x1babe530
DEBUG::CanvasItems: new canvas item 0x1babe790
DEBUG::CanvasItems: new canvas item 0x1babea10
DEBUG::CanvasItems: new canvas item 0x1babef20
DEBUG::CanvasItems: new canvas item 0x1babf160
DEBUG::CanvasItems: new canvas item 0x1babf3e0
DEBUG::CanvasItems: new canvas item 0x1babf5c0
DEBUG::ProcessThreads: DEBUG::CanvasItems: new canvas item 0x1babf800
calling graph/no-roll
DEBUG::ProcessThreads: no-roll graph execution from 0 to 1024 = 1024
DEBUG::ProcessThreads: wake graph for no-roll process
DEBUG::CanvasItems: new canvas item 0x1babfa80
DEBUG::ProcessThreads: unknown has finished run_one()
DEBUG::ProcessThreads: main thread runs one graph node
DEBUG::CanvasItems: new canvas item 0x1babfcc0
DEBUG::ProcessThreads: unknown signals 1
DEBUG::ProcessThreads: unknown runs route Piano2
DEBUG::CanvasItemsDEBUG::ProcessThreads: : new canvas item 0x1bac0720
unknown is awake
DEBUG::ProcessThreads: unknown runs route PIano1
DEBUG::CanvasItems: new canvas item 0x1bac0930
DEBUG::CanvasItems: new canvas item 0x1bac0b70
DEBUG::CanvasItems: new canvas item 0x1babff40
DEBUG::CanvasItems: new canvas item 0x1bac01a0
DEBUG::CanvasItems: new canvas item 0x1bac03b0
DEBUG::LV2DEBUG::LV2: : LinuxSampler run 1024 offset 0
LinuxSampler run 1024 offset 0
DEBUG::CanvasItems: new canvas item 0x1bac0d80
DEBUG::CanvasItems: new canvas item 0x1babb640
DEBUG::CanvasItems: new canvas item 0x1bac13d0
DEBUG::CanvasItems: new canvas item 0x1bac1600
DEBUG::CanvasItems: new canvas item 0x1bac18a0
DEBUG::CanvasItems: new canvas item 0x1bac1ad0
DEBUG::ProcessThreads: unknown has finished run_one()
DEBUG::CanvasItems: new canvas item 0x1bac25b0
DEBUG::ProcessThreads: DEBUG::ProcessThreadsunknown has finished run_one()
: main thread runs one graph node
DEBUG::CanvasItemsDEBUG::ProcessThreads: new canvas item 0x1bac2790
: unknown signals 0
DEBUG::ProcessThreads: unknown runs route Master
DEBUG::ProcessThreads: unknown signals 0
DEBUG::CanvasItems: new canvas item 0x1bac29e0
DEBUG::ProcessThreads: unknown goes to sleep
DEBUG::CanvasItems: new canvas item 0x1bac2c60
DEBUG::CanvasItems: new canvas item 0x1bac2f00
DEBUG::CanvasItems: new canvas item 0x1bac3160
DEBUG::CanvasItems: new canvas item 0x1bac33c0
DEBUG::CanvasItems: new canvas item 0x1bac3620
DEBUG::CanvasItems: new canvas item 0x1bac3880
DEBUG::CanvasItems: new canvas item 0x1bac1df0
DEBUG::CanvasItems: new canvas item 0x1bac2050
DEBUG::CanvasItems: new canvas item 0x1bac2260
DEBUG::CanvasItems: new canvas item 0x1bac42a0
DEBUG::CanvasItems: new canvas item 0x1bac4480
DEBUG::CanvasItems: new canvas item 0x1bac4690
DEBUG::CanvasItems: new canvas item 0x1bac48e0
DEBUG::CanvasItems: new canvas item 0x1bac4b40
DEBUG::CanvasItems: new canvas item 0x1bac3ae0
DEBUG::CanvasItems: new canvas item 0x1bac3d20
DEBUG::CanvasItems: new canvas item 0x1bac3f70
DEBUG::CanvasItems: new canvas item 0x1bac4d50
DEBUG::CanvasItems: new canvas item 0x1bac4f90
DEBUG::CanvasItems: new canvas item 0x1bac51b0
DEBUG::CanvasItems: new canvas item 0x1bac53f0
DEBUG::CanvasItems: new canvas item 0x1bac5660
DEBUG::CanvasItems: new canvas item 0x1bac58a0
DEBUG::CanvasItems: new canvas item 0x1bac5ae0
DEBUG::CanvasItems: new canvas item 0x1bac6560
DEBUG::CanvasItems: new canvas item 0x1bac67d0
DEBUG::CanvasItems: new canvas item 0x1bac6a30
DEBUG::CanvasItems: new canvas item 0x1bac5d70
DEBUG::CanvasItems: new canvas item 0x1bac5fd0
DEBUG::CanvasItems: new canvas item 0x1bac6200
DEBUG::CanvasItems: new canvas item 0x1bac6c40
DEBUG::CanvasItems: new canvas item 0x1bac6e60
DEBUG::CanvasItems: new canvas item 0x1bac70a0
DEBUG::CanvasItems: new canvas item 0x1bac7450
DEBUG::CanvasItems: new canvas item 0x1bac7690
DEBUG::CanvasItems: new canvas item 0x1bac7910
DEBUG::CanvasItems: new canvas item 0x1bac7b50
DEBUG::CanvasItems: new canvas item 0x1bac7d90
DEBUG::CanvasItems: new canvas item 0x1bac8010
DEBUG::CanvasItems: new canvas item 0x1bac8250
DEBUG::CanvasItems: new canvas item 0x1bac8470
DEBUG::CanvasItems: new canvas item 0x1bac86b0
DEBUG::CanvasItems: new canvas item 0x1bac8890
DEBUG::CanvasItems: new canvas item 0x1bac9320
DEBUG::CanvasItems: new canvas item 0x1bac9530
DEBUG::CanvasItems: new canvas item 0x1bac8b40
DEBUG::CanvasItems: new canvas item 0x1bac8d90
DEBUG::CanvasItems: new canvas item 0x1bac9010
DEBUG::CanvasItems: new canvas item 0x1bac9780
DEBUG::CanvasItems: new canvas item 0x1bac99c0
DEBUG::CanvasItems: new canvas item 0x1bac9c00
DEBUG::CanvasItems: new canvas item 0x1baca690
DEBUG::CanvasItems: new canvas item 0x1baca870
DEBUG::CanvasItems: new canvas item 0x1bacaa80
DEBUG::CanvasItems: new canvas item 0x1bac9ed0
DEBUG::CanvasItems: new canvas item 0x1baca0e0
DEBUG::CanvasItems: new canvas item 0x1baca360
DEBUG::CanvasItems: new canvas item 0x1bac0fc0
DEBUG::CanvasItems: new canvas item 0x1bacb4a0
DEBUG::CanvasItems: new canvas item 0x1bacb680
DEBUG::CanvasItems: new canvas item 0x1bacb900
DEBUG::Layering: relayer() using:
DEBUG::Layering: SlowIntroNoBPM 0
DEBUG::Layering: MIDI-9.1 1
DEBUG::Layering: MIDI-10.1 2
DEBUG::Layering: MIDI-11.1 3
DEBUG::Layering: SlowIntroNoBPM.2 4
DEBUG::Layering: SlowIntroNoBPM.5 5
DEBUG::Layering: MIDI-11.3 6
DEBUG::Pool: gui GUI has 1 pending free entries waiting, status size 4096 free 4094 used 2
DEBUG::Pool: gui GUI pushes back a pending free list entry before allocating
DEBUG::Pool: Pool size: 4096 free 4095 used 1 pending now 0
DEBUG::SessionEvents: gui Allocating SessionEvent from GUI ev @ 0x7fb84c022c28 pool size 4096 free 4094 used 2
DEBUG::SessionEvents: NEW SESSION EVENT, type = Overwrite action = Add
PBD::DEBUG::AbstractUI: gui/gui direct dispatch of call slot via functor @ 0x7ffe6af34280, invalidation 0x1b7adc70
PBD::DEBUG::AbstractUI: gui/gui direct dispatch of call slot via functor @ 0x7ffe6af34590, invalidation 0x1b86c500
PBD::DEBUG::AbstractUI: gui/gui direct dispatch of call slot via functor @ 0x7ffe6af33e70, invalidation 0
PBD::DEBUG::AbstractUI: gui/gui direct dispatch of call slot via functor @ 0x7ffe6af33e70, invalidation 0x3655000
PBD::DEBUG::AbstractUI: gui/gui direct dispatch of call slot via functor @ 0x7ffe6af33e70, invalidation 0
PBD::DEBUG::AbstractUI: gui/gui direct dispatch of call slot via functor @ 0x7ffe6af33e70, invalidation 0
PBD::DEBUG::AbstractUI: gui/gui direct dispatch of call slot via functor @ 0x7ffe6af33e70, invalidation 0
PBD::DEBUG::AbstractUI: gui/gui direct dispatch of call slot via functor @ 0x7ffe6af33e70, invalidation 0
PBD::DEBUG::AbstractUI: gui/gui direct dispatch of call slot via functor @ 0x7ffe6af33e70, invalidation 0x1b45ea80
PBD::DEBUG::AbstractUI: gui/gui direct dispatch of call slot via functor @ 0x7ffe6af33e70, invalidation 0
DEBUG::Selection: MRV::clear_selection_internal
PBD::DEBUG::CanvasEnterLeave: (208, 259) covers 8 items
    Item Root/ROOT ignore events ? 0 vis ? 1
    Item ScrollGroup/canvas h scroll ignore events ? 0 vis ? 1
    Item Container/time line group ignore events ? 0 vis ? 1
    Item ScrollGroup/canvas hv scroll ignore events ? 0 vis ? 1
    Item Container/Canvas TrackViews ignore events ? 0 vis ? 1
    Item Container/main for Piano2 ignore events ? 0 vis ? 1
    Item Container/SV canvas group Piano2 ignore events ? 0 vis ? 1
    Item Rectangle/SV canvas rectangle Piano2 ignore events ? 0 vis ? 1
PBD::DEBUG::CanvasEnterLeave: after filtering insensitive + containers, we have 1 items
PBD::DEBUG::CanvasEnterLeave: enter Container/SV canvas group Piano2
PBD::DEBUG::CanvasEnterLeave: enter Container/main for Piano2
PBD::DEBUG::CanvasEnterLeave: enter Container/Canvas TrackViews
PBD::DEBUG::CanvasEnterLeave: enter ScrollGroup/canvas hv scroll
PBD::DEBUG::CanvasEnterLeave: enter Root/ROOT
PBD::DEBUG::CanvasEnterLeave: ENTER Rectangle/SV canvas rectangle Piano2
PBD::DEBUG::CanvasEnterLeave: CURRENT ITEM Rectangle/SV canvas rectangle Piano2
PBD::DEBUG::AbstractUI: 0x2a9c1a0: EventLoop::invalidate_request 0x1b7d62b0
PBD::DEBUG::AbstractUI: 0x2a9c1a0: EventLoop::invalidate_request 0x1b7da010
PBD::DEBUG::AbstractUI: 0x2a9c1a0: EventLoop::invalidate_request 0x1b7d66d0
PBD::DEBUG::AbstractUI: 0x2a9c1a0: EventLoop::invalidate_request 0x1b7dcc60
PBD::DEBUG::AbstractUI: 0x2a9c1a0: EventLoop::invalidate_request 0x1b7d9860
PBD::DEBUG::AbstractUI: 0x2a9c1a0: EventLoop::invalidate_request 0x1b7da550
PBD::DEBUG::AbstractUI: 0x2a9c1a0: EventLoop::invalidate_request 0x1b7dce10
PBD::DEBUG::AbstractUI: 0x2a9c1a0: EventLoop::invalidate_request 0x1b7dce90
PBD::DEBUG::AbstractUI: 0x2a9c1a0: EventLoop::invalidate_request 0x1b7dcf10
PBD::DEBUG::AbstractUI: 0x2a9c1a0: EventLoop::invalidate_request 0x1b7dcf90
DEBUG::Pool: gui GUI has 0 pending free entries waiting, status size 4096 free 4094 used 2
DEBUG::SessionEvents: gui Allocating SessionEvent from GUI ev @ 0x7fb84c022d10 pool size 4096 free 4093 used 3
DEBUG::SessionEvents: NEW SESSION EVENT, type = Overwrite action = Add
PBD::DEBUG::AbstractUI: gui/gui direct dispatch of call slot via functor @ 0x7ffe6af345c0, invalidation 0x1b86c540
DEBUG::Layering: relayer() using:
DEBUG::Layering: MIDI-9.2 0
DEBUG::Layering: SlowIntroNoBPM.4 2
DEBUG::Layering: MIDI 1-3.1 3
PBD::DEBUG::AbstractUI: gui/gui direct dispatch of call slot via functor @ 0x7ffe6af34400, invalidation 0x1b88b240
DEBUG::CanvasItems: new canvas item 0x1b84b510
PBD::DEBUG::UndoHistory: 2830: Current Undo Transaction region drag, adding command:
PBD::DEBUG::UndoHistory: 2830: Current Undo Transaction region drag, adding command:
PBD::DEBUG::UndoHistory: 2830: Current Undo Transaction region drag, adding command:
PBD::DEBUG::UndoHistory: 2908: Commit Reversible Command, current transaction: region drag
PBD::DEBUG::AbstractUI: gui/gui direct dispatch of call slot via functor @ 0x7ffe6af34340, invalidation 0x2f16bd0
PBD::DEBUG::AbstractUI: gui/gui direct dispatch of call slot via functor @ 0x7ffe6af345c0, invalidation 0x2f16bd0
PBD::DEBUG::AbstractUI: 0x2a9c1a0: EventLoop::invalidate_request 0x1b45ea80
Segmentation fault
TagsNo tags attached.

Activities

peterfield

2017-03-23 05:52

reporter  

MRL.ardour (56,839 bytes)

peterfield

2017-03-23 06:06

reporter   ~0019543

Reproducibility up to "happened again". New bactrace :
DEBUG::Layering: relayer() using:
DEBUG::Layering: MIDI-9.2 0
DEBUG::Layering: MIDI-11.2 1
DEBUG::Layering: SlowIntroNoBPM.4 2
DEBUG::Layering: MIDI 1-3.1 3
DEBUG::Layering: SlowIntroNoBPM.6 4
PBD::DEBUG::AbstractUI: gui/gui direct dispatch of call slot via functor @ 0x7ffde32f9c50, invalidation 0x1d1df870
PBD::DEBUG::AbstractUI: gui/gui direct dispatch of call slot via functor @ 0x7ffde32f9f60, invalidation 0x1d1ddd50
PBD::DEBUG::AbstractUI: gui/gui direct dispatch of call slot via functor @ 0x7ffde32f9840, invalidation 0
PBD::DEBUG::AbstractUI: gui/gui direct dispatch of call slot via functor @ 0x7ffde32f9840, invalidation 0
PBD::DEBUG::AbstractUI: gui/gui direct dispatch of call slot via functor @ 0x7ffde32f9840, invalidation 0
PBD::DEBUG::AbstractUI: gui/gui direct dispatch of call slot via functor @ 0x7ffde32f9840, invalidation 0
PBD::DEBUG::AbstractUI: gui/gui direct dispatch of call slot via functor @ 0x7ffde32f9840, invalidation 0
PBD::DEBUG::AbstractUI: gui/gui direct dispatch of call slot via functor @ 0x7ffde32f9840, invalidation 0x3762d40
PBD::DEBUG::AbstractUI: gui/gui direct dispatch of call slot via functor @ 0x7ffde32f9840, invalidation 0x38e4260
PBD::DEBUG::AbstractUI: gui/gui direct dispatch of call slot via functor @ 0x7ffde32f9840, invalidation 0
DEBUG::Selection: MRV::clear_selection_internal
PBD::DEBUG::CanvasEnterLeave: (372, 324) covers 11 items
    Item Root/ROOT ignore events ? 0 vis ? 1
    Item ScrollGroup/canvas h scroll ignore events ? 0 vis ? 1
    Item Container/time line group ignore events ? 0 vis ? 1
    Item ScrollGroup/canvas hv scroll ignore events ? 0 vis ? 1
    Item Container/Canvas TrackViews ignore events ? 0 vis ? 1
    Item Container/main for Piano2 ignore events ? 0 vis ? 1
    Item Container/SV canvas group Piano2 ignore events ? 0 vis ? 1
    Item Rectangle/SV canvas rectangle Piano2 ignore events ? 0 vis ? 1
    Item Container/TAVI group for SlowIntroNoBPM.6 ignore events ? 0 vis ? 1
    Item Rectangle/frame for SlowIntroNoBPM.6 ignore events ? 0 vis ? 1
    Item Rectangle/TAVI frame handle start ignore events ? 0 vis ? 1
PBD::DEBUG::CanvasEnterLeave: after filtering insensitive + containers, we have 3 items
DEBUG::SessionEvents: Processing event: Overwrite @ 0
PBD::DEBUG::CanvasEnterLeave: enter Container/TAVI group for SlowIntroNoBPM.6
DEBUG::Butler: 139870483519232: summon butler to run @ 135237701277
PBD::DEBUG::CanvasEnterLeave: enter Container/SV canvas group Piano2
PBD::DEBUG::CanvasEnterLeave: enter Container/main for Piano2
DEBUG::Butler: 139870486226944: butler asked to run @ 135237701330
PBD::DEBUG::CanvasEnterLeave: enter Container/Canvas TrackViews
DEBUG::Butler: at restart for disk work
PBD::DEBUG::CanvasEnterLeave: enter ScrollGroup/canvas hv scroll
DEBUG::Butler: do transport work @ 135237701378
DEBUG::SessionEvents: audioengine Deleting SessionEvent @ 0x7f363236d0b0 type Overwrite action Add ev thread pool = AudioEngine 3 ev pool = GUI size 4096 free 4094 used 2
PBD::DEBUG::CanvasEnterLeave: enter Root/ROOT
PBD::DEBUG::CanvasEnterLeave: ENTER Rectangle/TAVI frame handle start
DEBUG::Transport: Butler transport work, todo = PostTransportOverWrite at 135237701391
DEBUG::SessionEvents: audioengine was wrong thread for this pool, pushed event onto pending list, will be deleted on next alloc from GUI pool size 4096 free 4094 used 2 pending 1
PBD::DEBUG::MidiTrackers: 0x12e48a78: reset
DEBUG::ProcessThreads: calling graph/no-roll
DEBUG::ProcessThreads: no-roll graph execution from 0 to 1024 = 1024
DEBUG::ProcessThreads: wake graph for no-roll process
PBD::DEBUG::CanvasEnterLeave: CURRENT ITEM Rectangle/TAVI frame handle start
PBD::DEBUG::MidiTrackers: 0x7f35f00ff0e8 EVS-resolve notes @ 0 on = 0
DEBUG::ProcessThreads: unknown has finished run_one()
DEBUG::ProcessThreads: main thread runs one graph node
DEBUG::MidiTrackers: MIDI 1.1 resolve all note trackers
DEBUG::ProcessThreads: unknown signals 1
DEBUG::ProcessThreads: DEBUG::ProcessThreads: unknown runs route Piano2
unknown is awake
DEBUG::ProcessThreads: unknown runs route PIano1
DEBUG::LV2DEBUG::LV2: : LinuxSampler run 1024 offset 0
LinuxSampler run 1024 offset 0
PBD::DEBUG::AbstractUI: 0x2c10710: EventLoop::invalidate_request 0x1d1aca90
PBD::DEBUG::AbstractUI: 0x2c10710: EventLoop::invalidate_request 0x1d1ad2a0
PBD::DEBUG::AbstractUI: 0x2c10710: EventLoop::invalidate_request 0x1d1ad5e0
PBD::DEBUG::AbstractUI: 0x2c10710: EventLoop::invalidate_request 0x1d1aecd0
PBD::DEBUG::AbstractUI: 0x2c10710: EventLoop::invalidate_request 0x1d1aff70
PBD::DEBUG::AbstractUI: 0x2c10710: EventLoop::invalidate_request 0x1d1ae830
PBD::DEBUG::AbstractUI: 0x2c10710: EventLoop::invalidate_request 0x1d1aeea0
PBD::DEBUG::AbstractUI: 0x2c10710: EventLoop::invalidate_request 0x1d1aef20
PBD::DEBUG::AbstractUI: 0x2c10710: EventLoop::invalidate_request 0x1d1aefa0
PBD::DEBUG::AbstractUI: 0x2c10710: EventLoop::invalidate_request 0x1d1af020
DEBUG::ProcessThreads: unknown has finished run_one()
DEBUG::ProcessThreads: unknown has finished run_one()
DEBUG::ProcessThreads: main thread runs one graph node
DEBUG::ProcessThreads: unknown signals 0
DEBUG::ProcessThreads: unknown runs route Master
DEBUG::ProcessThreads: unknown signals 0
DEBUG::ProcessThreads: unknown goes to sleep
DEBUG::Pool: gui GUI has 1 pending free entries waiting, status size 4096 free 4094 used 2
DEBUG::Pool: gui GUI pushes back a pending free list entry before allocating
DEBUG::Pool: Pool size: 4096 free 4095 used 1 pending now 0
DEBUG::SessionEvents: gui Allocating SessionEvent from GUI ev @ 0x7f363236d198 pool size 4096 free 4094 used 2
DEBUG::SessionEvents: NEW SESSION EVENT, type = Overwrite action = Add
DEBUG::MidiDiskstreamIO: MDS ::read at 0 for 262144 loffset 0
PBD::DEBUG::AbstractUI: gui/gui direct dispatch of call slot via functor @ 0x7ffde32f9f90, invalidation 0x1d1df440
DEBUG::MidiPlaylistIO: ---- MidiPlaylist::read 0 .. 262144 (0 trackers) ----
DEBUG::MidiPlaylistIO: 1 regions to read, direct: 1
PBD::DEBUG::MidiTrackers: 0x7f35f00ff0e8: reset
DEBUG::Layering: relayer() using:
DEBUG::MidiPlaylistIO: Pre-read MIDI 1-3.1 (0 .. 1581055): new tracker
DEBUG::MidiPlaylistIO: read from MIDI 1-3.1 at 0 for 262144 LR -1 .. -1
DEBUG::MidiSourceIO: MidiSource::midi_read() MIDI 1-3.mid sstart 0 start 0 cnt 262144 tracker 0x7f35f00ff0e8
DEBUG::Layering: SlowIntroNoBPM 0
DEBUG::Sequence: Created Iterator @ 0 (is end: 0)
)DEBUG::Layering: MIDI-9.1 1
DEBUG::Layering: MIDI-10.1 2
DEBUG::Layering: MIDI-11.1 3
DEBUG::Sequence: iterator = note on
DEBUG::Layering: SlowIntroNoBPM.5 5
DEBUG::Sequence: Starting at type 0x1 : 0x144 @ 7.88083
DEBUG::MidiSourceIO: MIDI 1-3.mid: reached end with event @ 289621 vs. 262144
DEBUG::MidiPlaylistIO: Post-read: 0 active notes
DEBUG::MidiPlaylistIO: added tracker to trackers
DEBUG::MidiPlaylistIO: ---- End MidiPlaylist::read ----
DEBUG::Transport: Butler transport work all done after 1011 usecs
DEBUG::Transport: Frame 0
DEBUG::Butler: transport work complete @ 135237702421
DEBUG::Butler: butler refills PIano1, playback load = 1
DEBUG::MidiDiskstreamIO: MDS refill, write space = 44099 file frame = 44100
DEBUG::Butler: track refill done PIano1
DEBUG::Butler: butler refills Piano2, playback load = 1
DEBUG::MidiDiskstreamIO: MDS refill, write space = 44099 file frame = 262144
DEBUG::Butler: track refill done Piano2
DEBUG::Butler: butler refills auditioner, playback load = 1
DEBUG::Butler: track refill done auditioner
PBD::DEBUG::AbstractUI: gui/gui direct dispatch of call slot via functor @ 0x7ffde32f9dd0, invalidation 0x1d1dd890
DEBUG::Butler: butler flushes track PIano1 capture load 1
DEBUG::Butler: flush complete for PIano1
DEBUG::Butler: butler flushes track Piano2 capture load 1
DEBUG::Butler: flush complete for Piano2
DEBUG::Butler: 139870486226944: butler signals pause @ 135237702606
DEBUG::Butler: butler emptying pool trash
DEBUG::Butler: 139870486226944 butler main loop, disk work outstanding ? 0 @ 135237702624
DEBUG::Butler: 139870486226944 butler waits for requests @ 135237702637
DEBUG::CanvasItems: new canvas item 0x1d1dd6b0
PBD::DEBUG::UndoHistory: 2830: Current Undo Transaction region drag, adding command:
PBD::DEBUG::UndoHistory: 2830: Current Undo Transaction region drag, adding command:
PBD::DEBUG::UndoHistory: 2830: Current Undo Transaction region drag, adding command:
PBD::DEBUG::UndoHistory: 2908: Commit Reversible Command, current transaction: region drag
PBD::DEBUG::AbstractUI: gui/gui direct dispatch of call slot via functor @ 0x7ffde32f9d10, invalidation 0x1cefe5f0
PBD::DEBUG::AbstractUI: gui/gui direct dispatch of call slot via functor @ 0x7ffde32f9f90, invalidation 0x1cefe5f0
PBD::DEBUG::AbstractUI: 0x2c10710: EventLoop::invalidate_request 0x38e4260
Segmentation fault

peterfield

2017-03-23 06:12

reporter   ~0019544

Everytime now:


DEBUG::CanvasItems: new canvas item 0x1bf607a0
DEBUG::CanvasItems: new canvas item 0x1bf60a20
DEBUG::CanvasItems: new canvas item 0x1bf60c60
DEBUG::CanvasItems: new canvas item 0x1bf60e60
DEBUG::CanvasItems: new canvas item 0x1bf610e0
DEBUG::Layering: relayer() using:
DEBUG::Layering: SlowIntroNoBPM 0
DEBUG::Layering: MIDI-9.1 1
DEBUG::Layering: MIDI-10.1 2
DEBUG::Layering: MIDI-11.1 3
DEBUG::Layering: SlowIntroNoBPM.2 4
DEBUG::Layering: SlowIntroNoBPM.5 5
DEBUG::Layering: SlowIntroNoBPM.6 6
DEBUG::Pool: gui GUI has 1 pending free entries waiting, status size 4096 free 4094 used 2
DEBUG::Pool: gui GUI pushes back a pending free list entry before allocating
DEBUG::Pool: Pool size: 4096 free 4095 used 1 pending now 0
DEBUG::SessionEvents: gui Allocating SessionEvent from GUI ev @ 0x7f1f84bd5230 pool size 4096 free 4094 used 2
DEBUG::SessionEvents: NEW SESSION EVENT, type = Overwrite action = Add
PBD::DEBUG::AbstractUI: gui/gui direct dispatch of call slot via functor @ 0x7fffe9d77750, invalidation 0x1bcbd270
PBD::DEBUG::AbstractUI: gui/gui direct dispatch of call slot via functor @ 0x7fffe9d77a60, invalidation 0x1bf2f0f0
PBD::DEBUG::AbstractUI: gui/gui direct dispatch of call slot via functor @ 0x7fffe9d77340, invalidation 0x1b8d0a60
PBD::DEBUG::AbstractUI: gui/gui direct dispatch of call slot via functor @ 0x7fffe9d77340, invalidation 0
PBD::DEBUG::AbstractUI: gui/gui direct dispatch of call slot via functor @ 0x7fffe9d77340, invalidation 0
PBD::DEBUG::AbstractUI: gui/gui direct dispatch of call slot via functor @ 0x7fffe9d77340, invalidation 0
PBD::DEBUG::AbstractUI: gui/gui direct dispatch of call slot via functor @ 0x7fffe9d77340, invalidation 0x3c57ae0
PBD::DEBUG::AbstractUI: gui/gui direct dispatch of call slot via functor @ 0x7fffe9d77340, invalidation 0
PBD::DEBUG::AbstractUI: gui/gui direct dispatch of call slot via functor @ 0x7fffe9d77340, invalidation 0
PBD::DEBUG::AbstractUI: gui/gui direct dispatch of call slot via functor @ 0x7fffe9d77340, invalidation 0
DEBUG::Selection: MRV::clear_selection_internal
PBD::DEBUG::CanvasEnterLeave: (151, 138) covers 11 items
    Item Root/ROOT ignore events ? 0 vis ? 1
    Item ScrollGroup/canvas h scroll ignore events ? 0 vis ? 1
    Item Container/time line group ignore events ? 0 vis ? 1
    Item ScrollGroup/canvas hv scroll ignore events ? 0 vis ? 1
    Item Container/Canvas TrackViews ignore events ? 0 vis ? 1
    Item Container/main for PIano1 ignore events ? 0 vis ? 1
    Item Container/SV canvas group PIano1 ignore events ? 0 vis ? 1
    Item Rectangle/SV canvas rectangle PIano1 ignore events ? 0 vis ? 1
    Item Container/TAVI group for SlowIntroNoBPM.6 ignore events ? 0 vis ? 1
    Item Rectangle/frame for SlowIntroNoBPM.6 ignore events ? 0 vis ? 1
    Item ScrollGroup/canvas cursor scroll ignore events ? 0 vis ? 1
PBD::DEBUG::CanvasEnterLeave: after filtering insensitive + containers, we have 2 items
PBD::DEBUG::CanvasEnterLeave: enter Container/TAVI group for SlowIntroNoBPM.6
PBD::DEBUG::CanvasEnterLeave: enter Container/SV canvas group PIano1
PBD::DEBUG::CanvasEnterLeave: enter Container/main for PIano1
PBD::DEBUG::CanvasEnterLeave: enter Container/Canvas TrackViews
PBD::DEBUG::CanvasEnterLeave: enter ScrollGroup/canvas hv scroll
PBD::DEBUG::CanvasEnterLeave: enter Root/ROOT
PBD::DEBUG::CanvasEnterLeave: ENTER Rectangle/frame for SlowIntroNoBPM.6
PBD::DEBUG::CanvasEnterLeave: CURRENT ITEM Rectangle/frame for SlowIntroNoBPM.6
PBD::DEBUG::AbstractUI: 0x309e8a0: EventLoop::invalidate_request 0x1bf01c60
PBD::DEBUG::AbstractUI: 0x309e8a0: EventLoop::invalidate_request 0x1bf01e70
PBD::DEBUG::AbstractUI: 0x309e8a0: EventLoop::invalidate_request 0x1bf02390
PBD::DEBUG::AbstractUI: 0x309e8a0: EventLoop::invalidate_request 0x1bf03010
PBD::DEBUG::AbstractUI: 0x309e8a0: EventLoop::invalidate_request 0x1bf02ea0
PBD::DEBUG::AbstractUI: 0x309e8a0: EventLoop::invalidate_request 0x1bf03190
PBD::DEBUG::AbstractUI: 0x309e8a0: EventLoop::invalidate_request 0x1bf03280
PBD::DEBUG::AbstractUI: 0x309e8a0: EventLoop::invalidate_request 0x1bf03300
PBD::DEBUG::AbstractUI: 0x309e8a0: EventLoop::invalidate_request 0x1bf044e0
PBD::DEBUG::AbstractUI: 0x309e8a0: EventLoop::invalidate_request 0x1bf04560
DEBUG::Pool: gui GUI has 0 pending free entries waiting, status size 4096 free 4094 used 2
DEBUG::SessionEvents: gui Allocating SessionEvent from GUI ev @ 0x7f1f84bd5318 pool size 4096 free 4093 used 3
DEBUG::SessionEvents: NEW SESSION EVENT, type = Overwrite action = Add
PBD::DEBUG::AbstractUI: gui/gui direct dispatch of call slot via functor @ 0x7fffe9d77a90, invalidation 0x1bf315f0
DEBUG::Layering: relayer() using:
DEBUG::Layering: MIDI-9.2 0
DEBUG::Layering: MIDI-11.2 1
DEBUG::Layering: MIDI 1-3.1 3
PBD::DEBUG::AbstractUI: gui/gui direct dispatch of call slot via functor @ 0x7fffe9d778d0, invalidation 0x1bf333b0
DEBUG::CanvasItems: new canvas item 0x1bf2f1a0
PBD::DEBUG::UndoHistory: 2830: Current Undo Transaction region drag, adding command:
PBD::DEBUG::UndoHistory: 2830: Current Undo Transaction region drag, adding command:
PBD::DEBUG::UndoHistory: 2830: Current Undo Transaction region drag, adding command:
DEBUG::SessionEvents: Processing event: Overwrite @ 39531455
PBD::DEBUG::UndoHistory: 2908: Commit Reversible Command, current transaction: region drag
DEBUG::Butler: 139773201819392: summon butler to run @ 135695351436
DEBUG::Butler: 139772849874944: butler asked to run @ 135695351469
DEBUG::Butler: PBD::DEBUG::AbstractUIat restart for disk work
: gui/gui direct dispatch of call slot via functor @ 0x7fffe9d77810, invalidation 0x1a64ecf0
DEBUG::Butler: do transport work @ 135695351500
DEBUG::SessionEvents: audioengine Deleting SessionEvent @ 0x7f1f84bd5230 type Overwrite action Add ev thread pool = AudioEngine 3 ev pool = GUI size 4096 free 4093 used 3
DEBUG::Transport: Butler transport work, todo = PostTransportOverWrite at 135695351515
DEBUG::SessionEvents: audioengine was wrong thread for this pool, pushed event onto pending list, will be deleted on next alloc from GUI pool size 4096 free 4093 used 3 pending 1
PBD::DEBUG::MidiTrackers: 0x800a228: reset
DEBUG::ProcessThreads: calling graph/no-roll
PBD::DEBUG::MidiTrackers: 0x7f1f300fe508 EVS-resolve notes @ 39531455 on = 2
DEBUG::ProcessThreads: no-roll graph execution from 39531455 to 39532479 = 1024
DEBUG::ProcessThreads: wake graph for no-roll process
PBD::DEBUG::MidiTrackers: 0x7f1f300fe508: EVS-resolved note 33/0 at 39531455
PBD::DEBUG::MidiTrackers: 0x7f1f300fe508: EVS-resolved note 49/0 at 39531455
DEBUG::ProcessThreads: unknown has finished run_one()
DEBUG::MidiTrackers: MIDI.1 resolve all note trackers
DEBUG::ProcessThreads: unknown signals 1
DEBUG::ProcessThreads: unknown runs route Piano2
DEBUG::ProcessThreads: unknown is awake
DEBUG::ProcessThreads: unknown runs route PIano1
DEBUG::LV2: LinuxSampler run 1024 offset 0
DEBUG::LV2: LinuxSampler run 1024 offset 0
DEBUG::ProcessThreads: unknown has finished run_one()
DEBUG::ProcessThreads: DEBUG::ProcessThreadsunknown has finished run_one()
: main thread runs one graph node
DEBUG::ProcessThreads: unknown signals 0
DEBUG::ProcessThreads: unknown runs route Master
DEBUG::ProcessThreads: unknown signals 0
DEBUG::ProcessThreads: unknown goes to sleep
DEBUG::MidiDiskstreamIO: MDS ::read at 39531455 for 262144 loffset 0
DEBUG::MidiPlaylistIO: ---- MidiPlaylist::read 39531455 .. 39793599 (0 trackers) ----
DEBUG::MidiPlaylistIO: 1 regions to read, direct: 1
PBD::DEBUG::MidiTrackers: 0x7f1f300fe508: reset
DEBUG::MidiPlaylistIO: Pre-read SlowIntroNoBPM.2 (38973375 .. 43456874): new tracker
DEBUG::MidiPlaylistIO: read from SlowIntroNoBPM.2 at 39531455 for 262144 LR -1 .. -1
DEBUG::MidiSourceIO: MidiSource::midi_read() MIDI-4.mid sstart 38716125 start 815330 cnt 262144 tracker 0x7f1f300fe508
PBD::DEBUG::AbstractUI: gui/gui direct dispatch of call slot via functor @ 0x7fffe9d77a90, invalidation 0x1a64ecf0
DEBUG::Sequence: Created Iterator @ 22.1859 (is end: 0)
)DEBUG::Sequence: iterator = note on
DEBUG::Sequence: Starting at type 0x1 : 0x144 @ 23.4963
DEBUG::MidiSourceIO: MIDI-4.mid added event @ 39579614 sz 3 within 39531455 .. 39793599 0x90 0x2d 0x6d
PBD::DEBUG::AbstractUI: 0x309e8a0: EventLoop::invalidate_request 0x1b8d0a60
PBD::DEBUG::MidiTrackers: 0x7f1f300fe508 ON 45/0 voices 1 total on 1
DEBUG::Sequence: iterator = note on
DEBUG::MidiSourceIO: MIDI-4.mid added event @ 39582983 sz 3 within 39531455 .. 39793599 0x90 0x21 0x61
Segmentation fault

peterfield

2017-03-23 06:15

reporter   ~0019545

PBD::DEBUG::AbstractUI: 0x3a1b950: EventLoop::invalidate_request 0x1c878410
PBD::DEBUG::AbstractUI: 0x3a1b950: EventLoop::invalidate_request 0x1c879140
PBD::DEBUG::AbstractUI: 0x3a1b950: EventLoop::invalidate_request 0x1c879b80
PBD::DEBUG::AbstractUI: 0x3a1b950: EventLoop::invalidate_request 0x1c86c4d0
PBD::DEBUG::AbstractUI: 0x3a1b950: EventLoop::invalidate_request 0x1c8789b0
PBD::DEBUG::AbstractUI: 0x3a1b950: EventLoop::invalidate_request 0x1c8792d0
PBD::DEBUG::AbstractUI: 0x3a1b950: EventLoop::invalidate_request 0x1c879350
PBD::DEBUG::AbstractUI: 0x3a1b950: EventLoop::invalidate_request 0x1c8793d0
DEBUG::Pool: gui GUI has 0 pending free entries waiting, status size 4096 free 4094 used 2
DEBUG::SessionEvents: gui Allocating SessionEvent from GUI ev @ 0x7ff1b66ad5d0 pool size 4096 free 4093 used 3
DEBUG::SessionEvents: NEW SESSION EVENT, type = Overwrite action = Add
PBD::DEBUG::AbstractUI: gui/gui direct dispatch of call slot via functor @ 0x7ffe46d6c9c0, invalidation 0x1c8a9a50
DEBUG::Layering: relayer() using:
DEBUG::Layering: MIDI-9.2 0
DEBUG::Layering: MIDI-11.2 1
PBD::DEBUG::AbstractUI: gui/gui direct dispatch of call slot via functor @ 0x7ffe46d6c800, invalidation 0x1c8a8870
DEBUG::CanvasItems: new canvas item 0x1c8a0df0
PBD::DEBUG::UndoHistory: 2830: Current Undo Transaction region drag, adding command:
PBD::DEBUG::UndoHistory: 2830: Current Undo Transaction region drag, adding command:
PBD::DEBUG::UndoHistory: 2830: Current Undo Transaction region drag, adding command:
PBD::DEBUG::UndoHistory: 2908: Commit Reversible Command, current transaction: region drag
PBD::DEBUG::AbstractUI: gui/gui direct dispatch of call slot via functor @ 0x7ffe46d6c740, invalidation 0x1a6feb60
PBD::DEBUG::AbstractUI: gui/gui direct dispatch of call slot via functor @ 0x7ffe46d6c9c0, invalidation 0x1a6feb60
PBD::DEBUG::AbstractUI: 0x3a1b950: EventLoop::invalidate_request 0x88f94e0

(ardour-5.8.84:27493): glibmm-ERROR **:
unhandled exception (type std::exception) in signal handler:
what: std::bad_alloc

Trace/breakpoint trap

timbyr

2017-03-24 11:52

developer   ~0019551

Are these issues all with the same version?

Is this a nightly build 5.8.84 from nightly.ardour.org? Does it also occur with 5.8?

This is all logging/debug output and not sufficient (to me at least) to figure out what the issue is.

Can you please just attach files rather than adding all the text inline.

From the debug output it looks like you are getting a crash soon after dragging a region. Can you describe in a bit more detail what you are doing specifically?

Does this happen in all Sessions or just one in particular? If so can you attach just the Session file to this report. Thanks.

timbyr

2017-03-24 23:58

developer   ~0019555

Sorry, I forgot to add the most important link: https://ardour.org/debugging_ardour.html

An actual backtrace (not debug output) would be more helpful, if you can get one. Thanks.

peterfield

2017-03-31 16:21

reporter   ~0019570

Thanks for your reply Timbyr. Sorry for the delay.
My version is
Ardour 5.8.84
"Music for Airplay"
(rev 5.8-84-g028b042)
Intel 64-bit - debug

I just quite working on this track and it has stopped happening since.
I have had a look at setting up Ardour for a complete backtrace - I will try to do it but it is borderline of my technical abilities :)

peterfield

2017-04-04 00:25

reporter   ~0019593

OK so:

* Following advice from discussion on IRC , I have replaced the home-built 5.8.84 with the 5.8.80 binary .
* Still a lot of crash happening - maybe even more than before, mostly when MIDI and/or LInuxsampler are involved.
* Typically this bug is when mouse-dragging or duplicating (CTRL+click-drag) a MIDI region, either on the same track or on the different track.
I have generated a core file following the instructions. Attached.

THX

peterfield

2017-04-04 00:37

reporter  

seg-fault-dragging-midi-region (26,810 bytes)
peter@longfield-x220 ~ $ /usr/bin/ardour 
bind txt domain [gtk2_ardour5] to /opt/ardour/share/locale
Ardour5.8.0 (built using 5.8 and GCC version 5.2.1 20150903)
ardour: [INFO]: Your system is configured to limit Ardour to only 65,536 open files
ardour: [INFO]: Loading user configuration file /home/peter/.config/ardour5/config
ardour: [INFO]: CPU vendor: GenuineIntel
ardour: [INFO]: AVX-capable processor
ardour: [INFO]: CPU brand:        Intel(R) Core(TM) i5-2520M CPU @ 2.50GHz
ardour: [INFO]: Using SSE optimized routines
ardour: [INFO]: Loading default ui configuration file /opt/ardour/etc/default_ui_config
ardour: [INFO]: Loading user ui configuration file /home/peter/.config/ardour5/ui_config
Cannot xinstall SIGPIPE error handler
Color shuttle bg not found
ardour: [INFO]: Loading color file /opt/ardour/share/themes/dark-ardour.colors
ardour: [INFO]: Loading ui configuration file /opt/ardour/etc/clearlooks.rc
ardour: [INFO]: Loading ui configuration file /opt/ardour/etc/clearlooks.rc
Found 1 along /home/peter/.config/ardour5/templates:/opt/ardour/share/templates
run dialog
protocol Open Sound Control (OSC) active ? 0
protocol Ableton Push 2 active ? 0
protocol Steinberg CC121 active ? 0
protocol PreSonus FaderPort active ? 0
protocol Mackie active ? 0
protocol Generic MIDI active ? 0
VST_PATH not set, defaulting to /home/peter/vst:/usr/local/lib/vst:/usr/lib/vst
no more csLADSPA plugins
lilv_world_load_bundle(): warning: Ignoring bundle <file:///usr/lib/lv2/midifilter.lv2/>
lilv_world_load_bundle(): note: Newer version of <http://gareus.org/oss/lv2/midifilter#cctonote> loaded from <file:///usr/local/lib/lv2/midifilter.lv2/>
Scanning folders for bundled LV2s: /opt/ardour/lib/LV2
lilv_world_load_bundle(): warning: Ignoring bundle <file:///usr/lib/lv2/midifilter.lv2/>
lilv_world_load_bundle(): note: Newer version of <http://gareus.org/oss/lv2/midifilter#cctonote> loaded from <file:///usr/local/lib/lv2/midifilter.lv2/>
error: failed to expand CURIE `param:OscillatorControls'
lilv_world_load_file(): error: Error loading file `file:///usr/lib/lv2/avw.lv2/vco2_audio.ttl'
lilv_plugin_get_name(): warning: Plugin <http://avwlv2.sourceforge.net/plugins/avw/vco2_audio> has no (mandatory) doap:name
error: failed to expand CURIE `param:OscillatorControls'
lilv_world_load_file(): error: Error loading file `file:///usr/lib/lv2/avw.lv2/vco2_cv.ttl'
lilv_plugin_get_name(): warning: Plugin <http://avwlv2.sourceforge.net/plugins/avw/vco2_cv> has no (mandatory) doap:name
error: /usr/lib/lv2/onsettrigger.lv2/onsettrigger.ttl:160:1: missing ';' or '.'
lilv_world_load_file(): error: Error loading file `file:///usr/lib/lv2/onsettrigger.lv2/onsettrigger.ttl'
error: /usr/lib/lv2/onsettrigger.lv2/onsettrigger.ttl:160:1: missing ';' or '.'
lilv_world_load_file(): error: Error loading file `file:///usr/lib/lv2/onsettrigger.lv2/onsettrigger.ttl'
lilv_plugin_get_name(): warning: Plugin <http://gareus.org/oss/lv2/onsettrigger#bassdrum_stereo> has no (mandatory) doap:name
KP is ardour.keys
Set cursor set to default
Set buffering params to 262144|131072|10|10
protocol Open Sound Control (OSC) active ? 0
protocol Ableton Push 2 active ? 0
protocol Steinberg CC121 active ? 0
protocol PreSonus FaderPort active ? 0
protocol Mackie active ? 0
protocol Generic MIDI active ? 0
Set buffering params to 262144|131072|10|10
Skip explicit buffer seconds, preset in use
Skip explicit buffer seconds, preset in use
curl failed: HTTP request failed: (6) Couldn't resolve host 'community.ardour.org'
WARNING: There doesn't seem to be enough RAM available to load the kit.
Trying to load it anyway...
ie_midi: 0xb8d5ee0
------------------ summary move drag starts.

actually writing state to /home/peter/Music/Ardour/LiliSong/GOne-1C1V.tmp
renaming state to /home/peter/Music/Ardour/LiliSong/GOne-1C1V.pending
Drop references to DrumGizmo
actually writing state to /home/peter/Music/Ardour/LiliSong/GOne-1C1V.tmp
renaming state to /home/peter/Music/Ardour/LiliSong/GOne-1C1V.ardour
actually writing state to /home/peter/Music/Ardour/LiliSong/GOne-1C1V.tmp
renaming state to /home/peter/Music/Ardour/LiliSong/GOne-1C1V.ardour
actually writing state to /home/peter/Music/Ardour/LiliSong/GOne-1C1V.tmp
renaming state to /home/peter/Music/Ardour/LiliSong/GOne-1C1V.pending
actually writing state to /home/peter/Music/Ardour/LiliSong/GOne-1C1V.tmp
renaming state to /home/peter/Music/Ardour/LiliSong/GOne-1C1V.pending
actually writing state to /home/peter/Music/Ardour/LiliSong/GOne-1C1V.tmp
renaming state to /home/peter/Music/Ardour/LiliSong/GOne-1C1V.pending
actually writing state to /home/peter/Music/Ardour/LiliSong/GOne-1C1V.tmp
renaming state to /home/peter/Music/Ardour/LiliSong/GOne-1C1V.pending
actually writing state to /home/peter/Music/Ardour/LiliSong/GOne-1C1V.tmp
renaming state to /home/peter/Music/Ardour/LiliSong/GOne-1C1V.pending
actually writing state to /home/peter/Music/Ardour/LiliSong/GOne-1C1V.tmp
renaming state to /home/peter/Music/Ardour/LiliSong/GOne-1C1V.ardour
actually writing state to /home/peter/Music/Ardour/LiliSong/GOne-1C1V.tmp
renaming state to /home/peter/Music/Ardour/LiliSong/GOne-1C1V.pending
actually writing state to /home/peter/Music/Ardour/LiliSong/GOne-1C1V.tmp
renaming state to /home/peter/Music/Ardour/LiliSong/GOne-1C1V.ardour
actually writing state to /home/peter/Music/Ardour/LiliSong/GOne-1C1V.tmp
renaming state to /home/peter/Music/Ardour/LiliSong/GOne-1C1V.pending
actually writing state to /home/peter/Music/Ardour/LiliSong/GOne-1C1V.tmp
renaming state to /home/peter/Music/Ardour/LiliSong/GOne-1C1V.pending
actually writing state to /home/peter/Music/Ardour/LiliSong/GOne-1C1V.tmp
renaming state to /home/peter/Music/Ardour/LiliSong/GOne-1C1V.ardour
actually writing state to /home/peter/Music/Ardour/LiliSong/GOne-1C1V.tmp
renaming state to /home/peter/Music/Ardour/LiliSong/GOne-1C1V.pending
actually writing state to /home/peter/Music/Ardour/LiliSong/GOne-1C1V.tmp
renaming state to /home/peter/Music/Ardour/LiliSong/GOne-1C1V.pending
actually writing state to /home/peter/Music/Ardour/LiliSong/GOne-1C1V.tmp
renaming state to /home/peter/Music/Ardour/LiliSong/GOne-1C1V.ardour
actually writing state to /home/peter/Music/Ardour/LiliSong/GOne-1C1V.tmp
renaming state to /home/peter/Music/Ardour/LiliSong/GOne-1C1V.pending
actually writing state to /home/peter/Music/Ardour/LiliSong/GOne-1C1V.tmp
renaming state to /home/peter/Music/Ardour/LiliSong/GOne-1C1V.ardour
actually writing state to /home/peter/Music/Ardour/LiliSong/GOne-1C1V.tmp
renaming state to /home/peter/Music/Ardour/LiliSong/GOne-1C1V.pending
actually writing state to /home/peter/Music/Ardour/LiliSong/GOne-1C1V.tmp
renaming state to /home/peter/Music/Ardour/LiliSong/GOne-1C1V.pending
actually writing state to /home/peter/Music/Ardour/LiliSong/GOne-1C1V.tmp
renaming state to /home/peter/Music/Ardour/LiliSong/GOne-1C1V.pending
actually writing state to /home/peter/Music/Ardour/LiliSong/GOne-1C1V.tmp
renaming state to /home/peter/Music/Ardour/LiliSong/GOne-1C1V.ardour
Drop references to Vocals-corrected
actually writing state to /home/peter/Music/Ardour/LiliSong/GOne-1C1V.tmp
renaming state to /home/peter/Music/Ardour/LiliSong/GOne-1C1V.ardour
Starting disk thread...OK
EQ support: no
Stopping disk thread...OK
Starting disk thread...OK
EQ support: no
LSCPServer: Client connection established on socket:58.
LSCPServer: Client connection established on socket:61.
Stopping disk thread...OK
Starting disk thread...OK
EQ support: no
Stopping disk thread...OK
Starting disk thread...OK
Could not scan LADSPA effects: library path '/opt/ardour/plugins' doesn't exist
EQ support: no
Scheduling '/home/peter/Music/Samples_Used_Currently/SalamanderGrandPianoV3_48khz24bit/SalamanderGrandPianoV3Retuned.sfz' (Index=0) to be loaded in background (if not loaded yet).
Loading sfz file '/home/peter/Music/Samples_Used_Currently/SalamanderGrandPianoV3_48khz24bit/SalamanderGrandPianoV3Retuned.sfz'...OK
Loading sfz instrument ('/home/peter/Music/Samples_Used_Currently/SalamanderGrandPianoV3_48khz24bit/SalamanderGrandPianoV3Retuned.sfz',0)...OK
Caching initial samples...OK
lilv_symlink(): error: Failed to link /home/peter/Music/Ardour/LiliSong/externals/SalamanderGrandPianoV3Retuned.sfz => /home/peter/Music/Samples_Used_Currently/SalamanderGrandPianoV3_48khz24bit/SalamanderGrandPianoV3Retuned.sfz (File exists)
actually writing state to /home/peter/Music/Ardour/LiliSong/GOne-1C1V.tmp
renaming state to /home/peter/Music/Ardour/LiliSong/GOne-1C1V.pending
actually writing state to /home/peter/Music/Ardour/LiliSong/GOne-1C1V.tmp
renaming state to /home/peter/Music/Ardour/LiliSong/GOne-1C1V.pending
actually writing state to /home/peter/Music/Ardour/LiliSong/GOne-1C1V.tmp
renaming state to /home/peter/Music/Ardour/LiliSong/GOne-1C1V.pending
Drop references to voice
actually writing state to /home/peter/Music/Ardour/LiliSong/GOne-1C1V.tmp
renaming state to /home/peter/Music/Ardour/LiliSong/GOne-1C1V.ardour
actually writing state to /home/peter/Music/Ardour/LiliSong/GOne-1C1V.tmp
renaming state to /home/peter/Music/Ardour/LiliSong/GOne-1C1V.ardour
CALF DEBUG: instance 0xaeaf8a0 data 0x89110a0
CALF DEBUG: calf 0x7f6c6d9356d0 cpi 0x7f6c6cd65d30
Send configures...
actually writing state to /home/peter/Music/Ardour/LiliSong/GOne-1C1V.tmp
renaming state to /home/peter/Music/Ardour/LiliSong/GOne-1C1V.pending
actually writing state to /home/peter/Music/Ardour/LiliSong/GOne-1C1V.tmp
renaming state to /home/peter/Music/Ardour/LiliSong/GOne-1C1V.ardour
Starting disk thread...OK
EQ support: no
Stopping disk thread...OK
Starting disk thread...OK
EQ support: no
The audio output device 'Plugin' cannot be dropped from this sampler channel!
The MIDI input port 'Plugin' cannot be altered on this sampler channel!
Stopping disk thread...OK
Starting disk thread...OK
EQ support: no
Scheduling '/home/peter/Music/Samples_Used_Currently/SalamanderDrumkit/ALL.sfz' (Index=0) to be loaded in background (if not loaded yet).
Loading sfz file '/home/peter/Music/Samples_Used_Currently/SalamanderDrumkit/ALL.sfz'...OK
Loading sfz instrument ('/home/peter/Music/Samples_Used_Currently/SalamanderDrumkit/ALL.sfz',0)...OK
Caching initial samples...OK
lilv_symlink(): error: Failed to link /home/peter/Music/Ardour/LiliSong/externals/ALL.sfz => /home/peter/Music/Samples_Used_Currently/SalamanderDrumkit/ALL.sfz (File exists)
actually writing state to /home/peter/Music/Ardour/LiliSong/GOne-1C1V.tmp
renaming state to /home/peter/Music/Ardour/LiliSong/GOne-1C1V.pending
lilv_symlink(): error: Failed to link /home/peter/Music/Ardour/LiliSong/externals/SalamanderGrandPianoV3Retuned.sfz => /home/peter/Music/Samples_Used_Currently/SalamanderGrandPianoV3_48khz24bit/SalamanderGrandPianoV3Retuned.sfz (File exists)
lilv_symlink(): error: Failed to link /home/peter/Music/Ardour/LiliSong/externals/ALL.sfz => /home/peter/Music/Samples_Used_Currently/SalamanderDrumkit/ALL.sfz (File exists)
actually writing state to /home/peter/Music/Ardour/LiliSong/GOne-1C1V.tmp
renaming state to /home/peter/Music/Ardour/LiliSong/GOne-1C1V.pending
actually writing state to /home/peter/Music/Ardour/LiliSong/GOne-1C1V.tmp
renaming state to /home/peter/Music/Ardour/LiliSong/GOne-1C1V.pending
actually writing state to /home/peter/Music/Ardour/LiliSong/GOne-1C1V.tmp
renaming state to /home/peter/Music/Ardour/LiliSong/GOne-1C1V.pending
actually writing state to /home/peter/Music/Ardour/LiliSong/GOne-1C1V.tmp
renaming state to /home/peter/Music/Ardour/LiliSong/GOne-1C1V.ardour
Segmentation fault (core dumped)
peter@longfield-x220 ~ $ ls -la
total 1171424
drwxr-xr-x 71 peter peter       4096 Apr  2 22:48 .
drwxr-xr-x  6 root  root        4096 Oct  3 22:34 ..
drwx------  3 peter peter       4096 Oct  2 12:11 .adobe
-rw-r--r--  1 peter peter   10052962 Nov 18  2014 Alligators 427 - Hubert-Félix Thiefaine-akQt2m6jjFc.mkv
-rw-r--r--  1 peter peter   20128450 May 25  2014 Alligators 427-q9iKgiJpWgI.mp4
drwx------  2 peter peter       4096 Mar 21 20:27 .aptitude
drwxr-x---  2 peter peter       4096 Mar 30 11:16 .arpage
drwxr-xr-x  4 peter peter       4096 Apr  2 22:26 .audacity-data
drwxr-xr-x  3 peter peter       4096 Dec 14 15:59 .avidemux6
-rw-------  1 peter peter      41600 Apr  2 22:09 .bash_history
-rw-r--r--  1 peter peter        220 Sep 29  2016 .bash_logout
-rw-r--r--  1 peter peter       4000 Sep 29  2016 .bashrc
drwxr-xr-x  2 peter peter       4096 Feb  8 11:59 bin
drwxr-xr-x  4 peter peter       4096 Mar 14 19:20 .bristol
drwx------ 35 peter peter       4096 Apr  2 18:54 .cache
-rw-r--r--  1 peter peter        418 Feb  7 18:10 .chromium-bsu
drwxr-xr-x 72 peter peter       4096 Apr  2 21:24 .config
drwxr-xr-x  2 peter peter       4096 Oct 30  2012 .conky
-rw-r--r--  1 peter peter       3594 Mar 30 17:42 .conkyrc
-rwxr-xr-x  1 peter peter         35 Oct 26  2012 .conky-startup.sh
-rw-------  1 peter peter 1045405696 Apr  2 22:48 core
-rw-r--r--  1 peter peter       5998 Apr  1 17:20 crash-on-startup
drwxr-xr-x  5 peter peter       4096 Oct  2 14:35 .cxoffice
drwx------  3 root  root        4096 Oct  2 10:45 .dbus
drwxr-xr-x  8 peter peter       4096 Apr  2 20:20 Desktop
-rw-------  1 peter peter         25 Apr  2 18:03 .dmrc
drwxr-xr-x  3 peter peter       4096 Mar 16 00:14 Documents
drwxr-xr-x  2 peter peter       4096 Mar 30 11:36 Downloads
drwx------  7 peter peter       4096 Apr  2 18:03 .dropbox
drwx------ 17 peter peter       4096 Apr  2 18:03 Dropbox
drwxr-xr-x  3 peter peter       4096 Mar 27 15:24 .dropbox-dist
drwxr-xr-x  6 peter peter       4096 Mar 27 19:44 .dvdcss
drwxr-xr-x  4 peter peter       4096 Oct 23 22:07 .enthought
drwxr-xr-x  2 peter peter       4096 Oct  2 22:22 .etr
drwx------  3 peter peter       4096 Mar 15 20:13 .fltk
drwxr-xr-x  2 peter peter       4096 Mar 23 15:34 .FontForge
drwxr-xr-x  2 peter peter       4096 Nov 22 22:51 .FreeCAD
drwx------  4 peter peter       4096 Apr  2 18:07 .gconf
drwxr-xr-x  4 peter peter       4096 Dec  1 22:42 .gem
drwxr-xr-x 24 peter peter       4096 Mar 31 00:55 .gimp-2.8
-rw-r-----  1 peter peter          0 Mar 28 13:14 .gksu.lock
drwx------  3 peter peter       4096 Jan 18 13:05 .gnome
drwx------  2 peter peter       4096 Sep 29  2016 .gnome2
drwx------  3 peter peter       4096 Apr  2 18:03 .gnupg
drwx------  4 peter peter       4096 Mar 10 20:09 .googleearth
drwx------  2 peter peter       4096 Dec 17 11:01 .gphoto
drwx------  2 peter peter       4096 Feb 13 20:34 .grsync
-rw-r--r--  1 peter peter         22 Sep 29  2016 .gtkrc-2.0
-rw-r--r--  1 peter peter        516 Sep 29  2016 .gtkrc-xfce
drwx------  2 root  root        4096 Mar 10 11:52 .gvfs
drwxr-xr-x  2 peter peter       4096 Oct  3 13:19 .hplip
-rw-r--r--  1 peter peter   27613729 Apr 26  2014 Hubert-Félix Thiéfaine - Alligators 427 (Bercy 2006)-CqxI0zcx5cE.webm
drwxr-xr-x  3 peter peter       4096 Feb 13 13:13 .hydrogen
-rw-------  1 peter peter      10162 Apr  2 18:03 .ICEauthority
-rw-r--r--  1 peter peter     183790 Mar 17 15:31 IMG_4829.JPG
-rw-r--r--  1 peter peter         49 Apr  2 18:09 .jackdrc
drwxr-xr-x  6 peter peter       4096 Mar 14 18:55 .java
drwxr-xr-x  2 peter peter       4096 Mar 14 18:59 .jsampler
drwx------  3 peter peter       4096 Dec 28 18:17 .kde
drwxr-xr-x  3 peter peter       4096 Oct 17 16:57 .kingsoft
drwx------  2 peter games       4096 Oct  4 23:41 .lgames
drwxr-xr-x  4 peter peter       4096 Sep 29  2016 .linuxmint
-rw-r--r--  1 peter peter         63 Mar 31 20:12 linuxsampler
-rw-r--r--  1 peter peter       1200 Feb 27 21:37 .lmmsrc.xml
drwxr-xr-x  3 peter peter       4096 Mar 15 20:16 .local
drwx------  4 peter peter       4096 Mar  6 23:21 .log
drwx------  3 peter peter       4096 Oct  2 12:11 .macromedia
drwxr-xr-x  9 peter peter       4096 Sep 30  2016 .minecraft
drwxr-xr-x  4 peter peter       4096 Feb 14 12:03 .mixxx
drwxr-xr-x  5 peter peter       4096 Sep 29  2016 .mozilla
drwxr-xr-x  6 peter peter       4096 Apr  2 21:20 Music
drwxr-xr-x  2 peter peter       4096 Sep 29  2016 .oracle_jre_usage
drwxr-xr-x  3 peter peter       4096 Mar 29 13:51 Pictures
drwx------  3 peter peter       4096 Oct 19 18:28 .pki
drwxr-xr-x 13 peter peter       4096 Nov 30 21:35 .PlayOnLinux
lrwxrwxrwx  1 peter peter         37 Nov 17 20:56 PlayOnLinux's virtual drives -> /home/peter/.PlayOnLinux//wineprefix/
drwxr-xr-x  2 peter peter       4096 Jan  9 20:41 Podcasts
-rw-r--r--  1 peter peter        675 Sep 29  2016 .profile
drwxr-xr-x  2 peter peter       4096 Sep 29  2016 Public
drwx------  4 peter peter       4096 Mar  7 22:55 .purple
-rw-r--r--  1 peter peter    3024421 Apr  2 22:48 qjackctl.log
-rw-r--r--  1 peter peter    2535206 Apr  2 22:48 qsampler.log
-rw-r--r--  1 peter peter   51012226 Mar 27 20:06 RDS Drum Samples.zip
-rw-r--r--  1 peter peter   24775491 Mar 27 20:01 RDS SPACE DRUMS.zip
-rw-r--r--  1 peter peter      34509 Mar 12 23:58 Ref-HeidiG-LiliL.pdf
drwxr-xr-x  2 peter peter       4096 Feb 13 18:48 rosegarden
drwxr-xr-x  2 root  root        4096 Mar 17 00:19 .rpmdb
-rw-r--r--  1 peter peter       2824 Mar 30 10:39 .rubberband.wisdom.d
drwx------  6 peter peter       4096 Mar 31 20:43 .Skype
-rw-------  1 peter peter         34 Feb 10 20:56 .smbcredentials
drwxr-xr-x  5 peter peter       4096 Feb 26 19:09 .stellarium
-rw-r--r--  1 peter peter   14392890 Dec  8  2015 Stevie Wonder Happy Birthday Song 1980 Hotter Than July-KibW1FBhQlU.mkv
-rw-r--r--  1 peter peter          0 Sep 29  2016 .sudo_as_admin_successful
drwxr-xr-x  3 peter peter       4096 Oct 10 18:38 .supertux2
drwx------  2 peter peter       4096 Nov 22 22:51 .synaptic
drwxr-xr-x  2 peter peter       4096 Sep 29  2016 Templates
-rw-r--r--  1 peter peter         24 Mar 22 10:29 test2.rb
-rw-r--r--  1 peter peter       2142 Nov  2 17:30 test.rb
drwxr-xr-x  4 peter peter       4096 Oct 23 20:30 .thumbnails
drwx------  4 peter peter       4096 Oct  6 22:22 .thunderbird
-rw-r--r--  1 peter peter       2108 Mar 16 00:57 .Transcribe!7
drwxr-xr-x  3 peter peter       4096 Dec  8 18:57 .tuxguitar-1.2
drwxr-xr-x  4 peter peter       4096 Mar 16 01:19 .tuxguitar-1.3.1
drwxr-xr-x  2 peter peter       4096 Feb 13 20:23 Videos
-rw-r--r--  1 peter peter        255 Mar  7 21:08 .wget-hsts
drwxr-xr-x  4 peter peter       4096 Mar 20 21:38 .wine
-rw-------  1 peter peter        125 Apr  2 18:03 .Xauthority
-rw-r--r--  1 peter peter       8103 Nov  1 00:12 .xscreensaver
-rw-r--r--  1 peter peter        204 Apr  2 18:03 .xsession-errors
-rw-r--r--  1 peter peter         39 Mar 16 00:56 .yeqwqauh
-rw-r--r--  1 peter peter       2226 Mar 15 20:15 .zynaddsubfxXML.cfg
peter@longfield-x220 ~ $ gdb core
GNU gdb (Ubuntu 7.11.1-0ubuntu1~16.04) 7.11.1
Copyright (C) 2016 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
<http://www.gnu.org/software/gdb/documentation/>.
For help, type "help".
Type "apropos word" to search for commands related to "word"...
"/home/peter/core": not in executable format: File format not recognized
(gdb) core-file core
[New LWP 11815]
[New LWP 12345]
[New LWP 11839]
[New LWP 11853]
[New LWP 12387]
[New LWP 11838]
[New LWP 11819]
[New LWP 12344]
[New LWP 11818]
[New LWP 11823]
[New LWP 11822]
[New LWP 11861]
[New LWP 11851]
[New LWP 11829]
[New LWP 12492]
[New LWP 11837]
[New LWP 11860]
[New LWP 12386]
[New LWP 11855]
[New LWP 11858]
[New LWP 11852]
[New LWP 11821]
[New LWP 11820]
[New LWP 11859]
[New LWP 11854]
Core was generated by `/opt/ardour/bin/ardour-5.8.0'.
Program terminated with signal SIGSEGV, Segmentation fault.
#0  0x00007f6cc2896ed5 in ?? ()
[Current thread is 1 (LWP 11815)]
(gdb) thread apply all bt

Thread 25 (LWP 11854):
#0  0x00007f6cbb2aeb5d in ?? ()
#1  0x0000000000000000 in ?? ()

Thread 24 (LWP 11859):
#0  0x00007f6cbe5ca360 in ?? ()
#1  0x0000000000000000 in ?? ()

Thread 23 (LWP 11820):
#0  0x00007f6cbb2b48e9 in ?? ()
#1  0x00007f6cc289700c in ?? ()
#2  0x00007f6cc4f75c60 in ?? ()
#3  0x00007f6cc4f75c60 in ?? ()
#4  0x00007f6cc4f75c78 in ?? ()
#5  0x00007f6cc4afc8cb in ?? ()
#6  0x00007f6cbe7d52c0 in ?? ()
#7  0x0000000000000011 in ?? ()
#8  0x00007f6ca80008c0 in ?? ()
#9  0x0000000000000011 in ?? ()
#10 0x0000000000000011 in ?? ()
#11 0x00007f6cb00008c0 in ?? ()
#12 0x00007f6cc2b43080 in ?? ()
#13 0x0000000002695e40 in ?? ()
#14 0x0000000000000000 in ?? ()

Thread 22 (LWP 11821):
#0  0x00007f6cbb2b48e9 in ?? ()
#1  0x00007f6cc289700c in ?? ()
#2  0x00007f6cc4f739f0 in ?? ()
#3  0x00007f6cc4f73a10 in ?? ()
#4  0x00007f6cc4f73a20 in ?? ()
#5  0x00007f6cc45d8eeb in ?? ()
#6  0x00007f6cb56f4d20 in ?? ()
#7  0x0000000000000000 in ?? ()

Thread 21 (LWP 11852):
#0  0x00007f6cbe5cc827 in ?? ()
#1  0x000000000b3d6a38 in ?? ()
#2  0x000000000b3d60f0 in ?? ()
#3  0x00000000039b4b28 in ?? ()
#4  0xfffffffeffffffff in ?? ()
#5  0x00007f6c81dcbc90 in ?? ()
#6  0x00007f6cbe5cc8d4 in ?? ()
#7  0x000000000b3d63d8 in ?? ()
---Type <return> to continue, or q <return> to quit---
#8  0x0000000100000000 in ?? ()
#9  0x00007f6cbe5cc7e0 in ?? ()
#10 0x00000000039b4b28 in ?? ()
#11 0x000000000b3d63d8 in ?? ()
#12 0x0000000000000000 in ?? ()

Thread 20 (LWP 11858):
#0  0x00007f6cbe5ca360 in ?? ()
#1  0x0000000000000000 in ?? ()

Thread 19 (LWP 11855):
#0  0x00007f6cbb2aeb5d in ?? ()
#1  0x0000000000000000 in ?? ()

Thread 18 (LWP 12386):
#0  0x00007f6cbb27f75d in ?? ()
#1  0x0000000000000002 in ?? ()
#2  0x00007f6cbb2b11a4 in ?? ()
#3  0x0000000000000000 in ?? ()

Thread 17 (LWP 11860):
#0  0x00007f6cbe5cdc1d in ?? ()
#1  0x0000000000000000 in ?? ()

Thread 16 (LWP 11837):
#0  0x00007f6cbe5ca360 in ?? ()
#1  0x0000000000000002 in ?? ()
#2  0x0000000003284810 in ?? ()
#3  0x00000000032847e0 in ?? ()
#4  0x0000000000000002 in ?? ()
#5  0x00000000032847d8 in ?? ()
#6  0x00007f6cad1488cc in ?? ()
#7  0x000000000327c5a0 in ?? ()
#8  0x000000000327c5a0 in ?? ()
#9  0x00000000032847d8 in ?? ()
#10 0x00007f6cad13b828 in ?? ()
#11 0x00007fff9f176c7f in ?? ()
#12 0x00000000032847b8 in ?? ()
#13 0x000000000327c5a0 in ?? ()
#14 0x00007f6cad147aa0 in ?? ()
#15 0x0000000000000000 in ?? ()

Thread 15 (LWP 12492):
#0  0x00007f6cbb27f75d in ?? ()
#1  0x0000000000000002 in ?? ()
---Type <return> to continue, or q <return> to quit---
#2  0x00007f6cbb2b11a4 in ?? ()
#3  0x0000000000000000 in ?? ()

Thread 14 (LWP 11829):
#0  0x00007f6cbb2aeb5d in ?? ()
#1  0x0000000000000000 in ?? ()

Thread 13 (LWP 11851):
#0  0x00007f6cbe5cc827 in ?? ()
#1  0x0000000007ec4c40 in ?? ()
#2  0x0000000008225ab8 in ?? ()
#3  0x00000000039b4b48 in ?? ()
#4  0xfffffffeffffffff in ?? ()
#5  0x00007f6c81e4cc60 in ?? ()
#6  0x00007f6cbe5cc8d4 in ?? ()
#7  0x0000000000000080 in ?? ()
#8  0x0000000000000000 in ?? ()

Thread 12 (LWP 11861):
#0  0x00007f6cbb2b48e9 in ?? ()
#1  0x00007f6cc289700c in ?? ()
#2  0x00007f6cc57ce920 in ?? ()
#3  0x000000000b22b920 in ?? ()
#4  0x0000000009633770 in ?? ()
#5  0x00007f6cc55ae42f in ?? ()
#6  0x0000000000000000 in ?? ()

Thread 11 (LWP 11822):
#0  0x00007f6cbb2b48e9 in ?? ()
#1  0x00007f6cc289700c in ?? ()
#2  0x00000000026e4068 in ?? ()
#3  0x00000000026e3a10 in ?? ()
#4  0x0000000000000000 in ?? ()

Thread 10 (LWP 11823):
#0  0x00007f6cbb2b48e9 in ?? ()
#1  0x00007f6cc289700c in ?? ()
#2  0x0000000002711140 in ?? ()
#3  0x00000000026e3a10 in ?? ()
#4  0x00007f6cae4e2d18 in ?? ()
#5  0x00007f6cc462a994 in ?? ()
#6  0x0000000000000000 in ?? ()

Thread 9 (LWP 11818):
#0  0x00007f6cbe5cdc1d in ?? ()
---Type <return> to continue, or q <return> to quit---
#1  0x0000000000000000 in ?? ()

Thread 8 (LWP 12344):
#0  0x00007f6cbb2b09e3 in ?? ()
#1  0x0000000000000002 in ?? ()
#2  0x00007f6c6c51c836 in ?? ()
#3  0x0000000000000000 in ?? ()

Thread 7 (LWP 11819):
#0  0x00007f6cbb2b48e9 in ?? ()
#1  0x00007f6cc289700c in ?? ()
#2  0x0000000007b57fc0 in ?? ()
#3  0x00007f6cc4f75c60 in ?? ()
#4  0x00007f6cc4f75c78 in ?? ()
#5  0x00007f6cc4afc8cb in ?? ()
#6  0x0000000000000004 in ?? ()
#7  0x0000000000000011 in ?? ()
#8  0x00007f6cb00008e0 in ?? ()
#9  0x0000000000000011 in ?? ()
#10 0x0000000000000011 in ?? ()
#11 0x00007f6cb00008c0 in ?? ()
#12 0x00007f6cc2b43080 in ?? ()
#13 0x00000000026879a0 in ?? ()
#14 0x0000000000000000 in ?? ()

Thread 6 (LWP 11838):
#0  0x00007f6cbe5cd51d in ?? ()
#1  0x0000000000000002 in ?? ()
#2  0x00007f6cad1491f5 in ?? ()
#3  0x00007f6c880010e0 in ?? ()
#4  0x00007f6c9f744be0 in ?? ()
#5  0x0000000003266650 in ?? ()
#6  0x00007f6cad14ca6b in ?? ()
#7  0x00007f6cad364490 in ?? ()
#8  0x00000000ffffffff in ?? ()
#9  0x6f6472610000015a in ?? ()
#10 0x00007f006c007275 in ?? ()
#11 0x000000000102d390 in ?? ()
#12 0x00007f7ec3c0536e in ?? ()
#13 0x00007f7ec3c0536c in ?? ()
#14 0x00007f7ec3c05378 in ?? ()
#15 0x000000000000001b in ?? ()
#16 0x0000001200000003 in ?? ()
#17 0x0000000000000001 in ?? ()
#18 0xffffffff00000007 in ?? ()
---Type <return> to continue, or q <return> to quit---
#19 0xffffffffffffffff in ?? ()
#20 0x00007f0000000000 in ?? ()
#21 0x00007f7ec3c05378 in ?? ()
#22 0x0000000000000000 in ?? ()

Thread 5 (LWP 12387):
#0  0x00007f6cbe5ca360 in ?? ()
#1  0x0000000100000002 in ?? ()
#2  0x00007f6c6cb43c00 in ?? ()
#3  0x00007f6c6cb43bd0 in ?? ()
#4  0x0000000000000001 in ?? ()
#5  0x00007f6c6cb43b80 in ?? ()
#6  0x00007f6c6c552eed in ?? ()
#7  0x00007f6c6cb43a80 in ?? ()
#8  0x00007f6c41c0fc30 in ?? ()
#9  0x00007f6c31e636c8 in ?? ()
#10 0x00007f6c6c524b2e in ?? ()
#11 0x00007f6c6cb43b90 in ?? ()
#12 0x00007f6c6cb43bc8 in ?? ()
#13 0x00007f6c6cb43b90 in ?? ()
#14 0x00007f6c6cb43a80 in ?? ()
#15 0x00007f6cbbe1d140 in ?? ()
#16 0x00007f6c6c539fb5 in ?? ()
#17 0x00007f6c80144d38 in ?? ()
#18 0x00007f6c80144d10 in ?? ()
#19 0x0000000000000000 in ?? ()

Thread 4 (LWP 11853):
#0  0x00007f6cbe5cc827 in ?? ()
#1  0x00000000085b42a0 in ?? ()
#2  0x00000000085b4be8 in ?? ()
#3  0x00000000039b4b28 in ?? ()
#4  0xfffffffeffffffff in ?? ()
#5  0x00007f6c81d4ac90 in ?? ()
#6  0x00007f6cbe5cc8d4 in ?? ()
#7  0x00000000085b4588 in ?? ()
#8  0x0000000000000000 in ?? ()

Thread 3 (LWP 11839):
#0  0x00007f6cbb2b48e9 in ?? ()
#1  0x00007f6cad149d5f in ?? ()
#2  0x0000000000000000 in ?? ()

Thread 2 (LWP 12345):
#0  0x00007f6cbb27f75d in ?? ()
---Type <return> to continue, or q <return> to quit---
#1  0x0000000000000002 in ?? ()
#2  0x00007f6cbb27f6aa in ?? ()
#3  0x0000000000000000 in ?? ()

Thread 1 (LWP 11815):
#0  0x00007f6cc2896ed5 in ?? ()
#1  0x00007f6cc39d7e0a in ?? ()
#2  0x0000000000000150 in ?? ()
#3  0x000000000a12d2b0 in ?? ()
#4  0x00007fff9f179700 in ?? ()
#5  0x0000000000000000 in ?? ()

Issue History

Date Modified Username Field Change
2017-03-23 05:52 peterfield New Issue
2017-03-23 05:52 peterfield File Added: MRL.ardour
2017-03-23 06:06 peterfield Note Added: 0019543
2017-03-23 06:06 peterfield Status new => feedback
2017-03-23 06:12 peterfield Note Added: 0019544
2017-03-23 06:12 peterfield Status feedback => new
2017-03-23 06:15 peterfield Note Added: 0019545
2017-03-24 11:52 timbyr Note Added: 0019551
2017-03-24 11:52 timbyr Status new => feedback
2017-03-24 23:58 timbyr Note Added: 0019555
2017-03-31 16:21 peterfield Note Added: 0019570
2017-03-31 16:21 peterfield Status feedback => new
2017-04-04 00:25 peterfield Note Added: 0019593
2017-04-04 00:37 peterfield File Added: seg-fault-dragging-midi-region